package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.TSSDPolicy;
import com.sa.ibiz.demo.demo.service.dto.TSSDPolicySearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[TSSDPolicy] 服务对象接口
 */
public interface TSSDPolicyService extends IService<TSSDPolicy>{

	boolean remove(TSSDPolicy et);
	boolean update(TSSDPolicy et);
	boolean getDraft(TSSDPolicy et);
		TSSDPolicy get(TSSDPolicy et);
	boolean create(TSSDPolicy et);
	boolean checkKey(TSSDPolicy et);
    List<TSSDPolicy> listDefault(TSSDPolicySearchFilter filter) ;
	Page<TSSDPolicy> searchDefault(TSSDPolicySearchFilter filter);
	/**	 实体[TSSDPolicy] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }